/**
 * AGUA Copyright (C) 2023  Atix Labs
 * 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 * 
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

@import 'css/general_styling.scss';
@import 'css/_variables.scss';
@import 'css/mixins/_fonts.scss';

.text {
  position: relative;
  line-height: normal;

  &.--centered {
    margin-inline: auto;
    text-align: center;
  }

  &.--withOrderNumber {
    &::before {
      counter-reset: variable var(--orderNumber);
      content: counter(variable, decimal-leading-zero);

      @include primary-text(1.25rem, $coa-title-number-color, 300);

      display: block;
      letter-spacing: -0.5px;
    }
  }

  &.--primary {
    color: $coa-title-color;
  }

  &.--dark {
    color: $black;
  }

  &.--grey {
    color: $coa-grey-100;
  }

  &.--bold {
    font-weight: 500;
  }

  &.--bolder {
    font-weight: 600;
  }

  &.--boldest {
    font-weight: 700;
  }

  &.--medium {
    font-size: 0.875rem;
  }

  &.--medium-bigger {
    font-size: 1rem;
  }

  &.--medium-biggest {
    font-size: 1.125rem;
  }

  &.--big {
    font-size: 1.25rem;
  }

  &.--bigger {
    font-size: 1.5rem;
  }

  &.--biggest {
    font-size: 2.25rem;
  }

  &.--center,
  &.--right,
  &.--left {
    margin-bottom: 1em;

    &::after {
      background: $coa-title-underline-color;
      content: '';
      display: block;
      height: 3px;
      position: absolute;
      width: 30px;
      bottom: -0.5em;
    }
  }

  &.--center {
    &::after {
      left: 50%;
      transform: translateX(-50%);
      -webkit-transform: translateX(-50%);
      -moz-transform: translateX(-50%);
      -ms-transform: translateX(-50%);
      -o-transform: translateX(-50%);
    }
  }

  &.--right {
    &::after {
      right: 0;
    }
  }

  &.--left {
    &::after {
      left: 0;
    }
  }
}
